chords = {
  {
    complexity = 0,
    name = 'Dur',
    code = 'dur',
    display = '',
    pattern = '10001001'
  },
  {
    complexity = 0,
    name = 'Moll',
    code = 'moll',
    display = 'm',
    pattern = '10010001'
  },
  {
    complexity = 0,
    name = 'Power Akkord',
    code = 'power',
    display = '5',
    pattern = '10000001'
  },
  {
    complexity = 0,
    name = 'Erweitert',
    code = 'aug',
    display = 'aug',
    pattern = '100010001'
  },
  {
    complexity = 0,
    name = 'Vermindert',
    code = 'dim',
    display = 'dim',
    pattern = '1001001'
  },
  {
    complexity = 1,
    name = 'suspendierte zweite',
    code = 'sus2',
    display = 'sus2',
    pattern = '10100001'
  },
  {
    complexity = 1,
    name = 'suspendierte vierte',
    code = 'sus4',
    display = 'sus4',
    pattern = '10000101'
  },
  {
    complexity = 2,
    name = 'Dur hinzugefügte zweite',
    code = 'duradd2',
    display = 'Duradd2',
    pattern = '10101001'
  },
  {
    complexity = 2,
    name = 'Dur hinzugefügte vierte',
    code = 'duradd4',
    display = 'Duradd4',
    pattern = '10001101'
  },
  {
    complexity = 2,
    name = 'Moll hinzugefügte zweite',
    code = 'molladd2',
    display = 'Molladd2',
    pattern = '10110001'
  },
  {
    complexity = 2,
    name = 'Moll hinzugefügte vierte',
    code = 'molladd4',
    display = 'Molladd4',
    pattern = '10010101'
  },
  {
    complexity = 2,
    name = 'Dur hinzugefügte zweite verminderte fünfte',
    code = 'duradd2b5',
    display = 'Duradd2b5',
    pattern = '1010100110'
  },
  {
    complexity = 2,
    name = 'Moll hinzugefügte zweite verminderte fünfte',
    code = 'molladd2b5',
    display = 'Molladd2b5',
    pattern = '10110010'
  },
  { 
    complexity = 0,
    name = 'sechste',
    code = 'dur6',
    display = '6',
    pattern = '1000100101'
  },
  {
    complexity = 0,
    name = 'Moll sechste',
    code = 'moll6',
    display = 'm6',
    pattern = '1001000101'
  },
  {
    complexity = 2,
    name = 'Dur sechste neunte',
    code = 'dur69',
    display = 'Dur69',
    pattern = '100010010100001'
  },
  {
    complexity = 2,
    name = 'Moll sechste neunte',
    code = 'moll69',
    display = 'Moll69',
    pattern = '100100010100001'
  },
  {
    complexity = 0,
    name = 'siebte',
    code = '7',
    display = '7',
    pattern = '10001001001'
  },
  {
    complexity = 0,
    name = 'Dur siebte',
    code = 'dur7',
    display = 'Dur7',
    pattern = '100010010001'
  },
  {
    complexity = 0,
    name = 'Moll siebte',
    code = 'moll7',
    display = 'm7',
    pattern = '10010001001'
  },
  {
    complexity = 1,
    name = 'Moll/Dur siebte',
    code = 'moll/Dur7',
    display = 'Moll/Dur7',
    pattern = '100100010001'
  },
  {
    complexity = 0,
    name = 'verminderte siebte',
    code = 'dim7',
    display = 'dim7',
    pattern = '1001001001'
  },
  {
    complexity = 1,
    name = 'halb-vermindert',
    code = 'moll7b5',
    display = 'Moll7b5',
    pattern = '10010010001'
  },
  {
    complexity = 1,
    name = '(kein Grundton) siebte hinzugefügte verminderte zweite',
    code = 'x7addb2',
    display = 'x7addb2',
    pattern = '01001001001'
  },
  {
    complexity = 2,
    name = 'siebte suspendierte vierte',
    code = '7sus4',
    display = '7sus4',
    pattern = '10000101001'
  },
  {
    complexity = 2,
    name = 'Dur siebte suspendierte vierte',
    code = 'dur7sus4',
    display = 'Dur7sus4',
    pattern = '100001010001'
  },
  {
    complexity = 2,
    name = 'siebte verminderte fünfte',
    code = '7b5',
    display = '7b5',
    pattern = '10001010001'     
  },
  {
    complexity = 2,
    name = 'siebte erweiterte fünfte',
    code = '7#5',
    display = '7#5',
    pattern = '10001000101'
  },
  {
    complexity = 2,
    name = 'duror siebte verminderte fünfte',
    code = 'dur7b5',
    display = 'Dur7b5',
    pattern = '100010100001'
  },
  {
    complexity = 2,
    name = 'duror siebte erweiterte fünfte',
    code = 'dur7#5',
    display = 'Dur7#5',
    pattern = '100010001001'
  },
  {
    complexity = 1,
    name = 'siebte Power Akkord',
    code = 'power7',
    display = '57',
    pattern = '100000010010'
  },
  {
    complexity = 1,
    name = 'Dur siebte Power Akkord',
    code = 'powerDur7',
    display = '5Dur7',
    pattern = '100000010001'
  },
  {
    complexity = 3,
    name = 'Moll siebte suspendierte zweite verminderte fünfte erweiterte neunte',
    code = '7sus2b5#9',
    display = '7sus2b5#9',
    pattern = '1010001000100001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte suspendierte zweite verminderte fünfte erweiterte neunte',
    code = 'm/dur7sus2b5#9',
    display = 'M/Dur7sus2b5#9',
    pattern = '1010001000010001'
  },
  {
    complexity = 3,
    name = 'Moll siebte suspendierte vierte verminderte fünfte erweiterte neunte',
    code = '7sus4b5#9',
    display = '7sus4b5#9',
    pattern = '1000011000100001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte suspendierte vierte verminderte fünfte erweiterte neunte',
    code = 'm/dur7sus4b5#9',
    display = 'M/Dur7sus4b5#9',
    pattern = '1000011000010001'
  },
  {
    complexity = 3,
    name = 'Moll siebte suspendierte zweite verminderte fünfte erweiterte neunte verminderte dreizehnte',
    code = '7sus2b5#9b13',
    display = '7sus2b5#9b13',
    pattern = '1010001000100001000010'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte suspendierte zweite verminderte fünfte erweiterte neunte verminderte dreizehnte',
    code = 'm/dur7sus2b5#9b13',
    display = 'M/Dur7sus2b5#9b13',
    pattern = '1010001000010001000010'
  },
  {
    complexity = 3,
    name = 'Moll siebte suspendierte vierte verminderte fünfte erweiterte neunte verminderte dreizehnte',
    code = '7sus4b5#9b13',
    display = '7sus4b5#9b13',
    pattern = '1000011000100001000010'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte suspendierte vierte verminderte fünfte erweiterte neunte verminderte dreizehnte',
    code = 'm/dur7sus4b5#9b13',
    display = 'M/Dur7sus4b5#9b13',
    pattern = '1000011000010001000010'
  },
  {
    complexity = 2,
    name = 'siebte suspendierte vierte erweiterte fünfte',
    code = '7sus4#5',
    display = '7sus4#5',
    pattern = '10000100101'
  },
  {
    complexity = 2,
    name = 'Dur siebte suspendierte vierte erweiterte fünfte',
    code = 'dur7sus4#5',
    display = 'Dur7sus4#5',
    pattern = '100001001001'
  },
  {
    complexity = 2,
    name = 'siebte achte (Oktave) Power Akkord',
    code = 'power78',
    display = '578',
    pattern = '1000000100101'
  },
  {
    complexity = 2,
    name = 'Dur siebte achte (Oktave) Power Akkord',
    code = 'powerDur78',
    display = '5Dur78',
    pattern = '1000000100011'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte zweite erweiterte fünfte verminderte neunte',
    code = '7sus2#5b9',
    display = '7sus2#5b9',
    pattern = '101000001010010'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte zweite erweiterte fünfte verminderte neunte',
    code = 'dur7sus2#5b9',
    display = 'Dur7sus2#5b9',
    pattern = '101000001001010'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte vierte erweiterte fünfte verminderte neunte',
    code = '7sus4#5b9',
    display = '7sus4#5b9',
    pattern = '100001001010010'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte vierte erweiterte fünfte verminderte neunte',
    code = 'dur7sus4#5b9',
    display = 'Dur7sus4#5b9',
    pattern = '100001001001010'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte zweite erweiterte fünfte verminderte neunte erweiterte elfte',
    code = '7sus2#5b9#11',
    display = '7sus2#5b9#11',
    pattern = '1010000010100100001'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte zweite erweiterte fünfte verminderte neunte erweiterte elfte',
    code = 'dur7sus2#5b9#11',
    display = 'Dur7sus2#5b9#11',
    pattern = '1010000010010100001'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte vierte erweiterte fünfte verminderte neunte erweiterte elfte',
    code = '7sus4#5b9#11',
    display = '7sus4#5b9#11',
    pattern = '1000010010100100001'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte vierte erweiterte fünfte verminderte neunte erweiterte elfte',
    code = 'dur7sus4#5b9#11',
    display = 'Dur7sus4#5b9#11',
    pattern = '1000010010010100001'
  },
  {
    complexity = 3,
    name = 'Moll siebte suspendierte zweite erweiterte fünfte erweiterte neunte',
    code = '7sus2#5#9',
    display = '7sus2#5#9',
    pattern = '1010000010100001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte suspendierte zweite erweiterte fünfte erweiterte neunte',
    code = 'm/dur7sus2#5#9',
    display = 'M/Dur7sus2#5#9',
    pattern = '1010000010010001'
  },
  {
    complexity = 3,
    name = 'Moll siebte suspendierte vierte erweiterte fünfte erweiterte neunte',
    code = '7sus4#5#9',
    display = '7sus4#5#9',
    pattern = '1000010010100001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte suspendierte vierte erweiterte fünfte erweiterte neunte',
    code = 'M/Dur7sus4#5#9',
    display = 'M/Dur7sus4#5#9',
    pattern = '1000010010010001'
  },
  {
    complexity = 3,
    name = 'Moll siebte suspendierte zweite erweiterte fünfte erweiterte neunte erweiterte elfte',
    code = '7sus2#5#9#11',
    display = '7sus2#5#9#11',
    pattern = '1010000010100001001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte suspendierte zweite erweiterte fünfte erweiterte neunte erweiterte elfte',
    code = 'm/dur7sus2#5#9#11',
    display = 'M/Dur7sus2#5#9#11',
    pattern = '1010000010010001001'
  },
  {
    complexity = 3,
    name = 'Moll siebte suspendierte vierte erweiterte fünfte erweiterte neunte erweiterte elfte',
    code = '7sus4#5#9#11',
    display = '7sus4#5#9#11',
    pattern = '1000010010100001001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte suspendierte vierte erweiterte fünfte erweiterte neunte erweiterte elfte',
    code = 'm/dur7sus4#5#9#11',
    display = 'M/Dur7sus4#5#9#11',
    pattern = '1000010010010001001'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte zweite verminderte neunte',
    code = '7sus2b9',
    display = '7sus2b9',
    pattern = '101000010010010'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte zweite verminderte neunte',
    code = 'dur7sus2b9',
    display = 'Dur7sus2b9',
    pattern = '101000010001010'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte vierte verminderte neunte',
    code = '7sus4b9',
    display = '7sus4b9',
    pattern = '100001010010010'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte vierte verminderte neunte',
    code = 'dur7sus4b9',
    display = 'Dur7sus4b9',
    pattern = '100001010001010'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte zweite verminderte dreizehnte',
    code = '7sus2b13',
    display = '7sus2b13',
    pattern = '1010000100100000000010'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte zweite verminderte dreizehnte',
    code = 'dur7sus2b13',
    display = 'Dur7sus2b13',
    pattern = '1010000100010000000010'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte vierte verminderte dreizehnte',
    code = '7sus4b13',
    display = '7sus4b13',
    pattern = '1000010100100000000010'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte vierte verminderte dreizehnte',
    code = 'dur7sus4b13',
    display = 'Dur7sus4b13',
    pattern = '1000010100010000000010'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte zweite verminderte neunte verminderte dreizehnte',
    code = '7sus2b9b13',
    display = '7sus2b9b13',
    pattern = '1010000100100100000010'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte zweite verminderte neunte verminderte dreizehnte',
    code = 'dur7sus2b9b13',
    display = 'Dur7sus2b9b13',
    pattern = '1010000100010100000010'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte vierte verminderte neunte verminderte dreizehnte',
    code = '7sus4b9b13',
    display = '7sus4b9b13',
    pattern = '1000010100100100000010'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte vierte verminderte neunte verminderte dreizehnte',
    code = 'dur7sus4b9b13',
    display = 'Dur7sus4b9b13',
    pattern = '1000010100010100000010'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte zweite verminderte neunte erweiterte elfte',
    code = '7sus2b9#11',
    display = '7sus2b9#11',
    pattern = '1010000100100100001'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte zweite verminderte neunte erweiterte elfte',
    code = 'dur7sus2b9#11',
    display = 'Dur7sus2b9#11',
    pattern = '1010000100010100001'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte vierte verminderte neunte erweiterte elfte',
    code = '7sus4b9#11',
    display = '7sus4b9#11',
    pattern = '1000010100100100001'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte vierte verminderte neunte erweiterte elfte',
    code = 'dur7sus4b9#11',
    display = 'Dur7sus4b9#11',
    pattern = '1000010100010100001'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte zweite verminderte neunte erweiterte elfte verminderte dreizehnte',
    code = '7sus2b9#11b13',
    display = '7sus2b9#11b13',
    pattern = '101000010010010000101'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte zweite verminderte neunte erweiterte elfte verminderte dreizehnte',
    code = 'dur7sus2b9#11b13',
    display = 'Dur7sus2b9#11b13',
    pattern = '101000010001010000101'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte vierte verminderte neunte erweiterte elfte verminderte dreizehnte',
    code = '7sus4b9#11b13',
    display = '7sus4b9#11b13',
    pattern = '100001010010010000101'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte vierte verminderte neunte erweiterte elfte verminderte dreizehnte',
    code = 'dur7sus4b9#11b13',
    display = 'Dur7sus4b9#11b13',
    pattern = '100001010001010000101'
  },
  {
    complexity = 3,
    name = 'Moll siebte suspendierte zweite erweiterte neunte',
    code = '7sus2#9',
    display = '7sus2#9',
    pattern = '1010000100100001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte suspendierte zweite erweiterte neunte',
    code = 'm/dur7sus2#9',
    display = 'M/Dur7sus2#9',
    pattern = '1010000100010001'
  },
  {
    complexity = 3,
    name = 'Moll siebte suspendierte vierte erweiterte neunte',
    code = '7sus4b5#9',
    display = '7sus4#9',
    pattern = '1000010100100001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte suspendierte vierte erweiterte neunte',
    code = 'm/dur7sus4#9',
    display = 'M/Dur7sus4#9',
    pattern = '1000010100010001'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte zweite erweiterte elfte',
    code = '7sus2#11',
    display = '7sus2#11',
    pattern = '1010000100100000001'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte zweite erweiterte elfte',
    code = 'dur7sus2#11',
    display = 'Dur7sus2#11',
    pattern = '1010000100010000001'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte vierte erweiterte elfte',
    code = '7sus4#11',
    display = '7sus4#11',
    pattern = '1000010100100000001'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte vierte erweiterte elfte',
    code = 'dur7sus4#11',
    display = 'Dur7sus4#11',
    pattern = '1000010100010000001'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte zweite erweiterte elfte verminderte dreizehnte',
    code = '7sus2#11b13',
    display = '7sus2#11b13',
    pattern = '101000010010000000101'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte zweite erweiterte elfte verminderte dreizehnte',
    code = 'dur7sus2#11b13',
    display = 'Dur7sus2#11b13',
    pattern = '101000010001000000101'
  },
  {
    complexity = 3,
    name = 'siebte suspendierte vierte erweiterte elfte verminderte dreizehnte',
    code = '7sus4#11b13',
    display = '7sus4#11b13',
    pattern = '100001010010000000101'
  },
  {
    complexity = 3,
    name = 'Dur siebte suspendierte vierte erweiterte elfte verminderte dreizehnte',
    code = 'dur7sus4#11b13',
    display = 'Dur7sus4#11b13',
    pattern = '100001010001000000101'
  },
  {
    complexity = 3,
    name = 'siebte verminderte fünfte verminderte neunte',
    code = '7b5b9',
    display = '7b5b9',
    pattern = '100010100010010'
  },
  {
    complexity = 3,
    name = 'Dur siebte verminderte fünfte verminderte neunte',
    code = 'dur7b5b9',
    display = 'Dur7b5b9',
    pattern = '100010100001010'
  },
  {
    complexity = 3,
    name = 'Moll siebte verminderte fünfte verminderte neunte',
    code = 'moll7b5b9',
    display = 'Moll7b5b9',
    pattern = '100100100010010'
  },
  { 
   complexity = 3,
    name = 'Moll/Dur siebte verminderte fünfte verminderte neunte',
    code = 'm/dur7b5b9',
    display = 'M/Dur7b5b9',
    pattern = '100100100001010'
  },
  { 
   complexity = 3,
    name = 'Moll siebte verminderte fünfte erweiterte neunte',
    code = 'moll7b5#9',
    display = 'Moll7b5#9',
    pattern = '1001001000100001'
  },
  { 
    complexity = 3,
    name = 'Moll/Dur siebte verminderte fünfte erweiterte neunte',
    code = 'M/Dur7b5#9',
    display = 'M/Dur7b5#9',
    pattern = '1001001000010001'
  },
  {
    complexity = 3,
    name = 'Moll siebte verminderte fünfte erweiterte neunte verminderte dreizehnte',
    code = 'moll7b5#9b13',
    display = 'Moll7b5#9b13',
    pattern = '1001001000100001000010'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte verminderte fünfte erweiterte neunte verminderte dreizehnte',
    code = 'm/dur7b5#9b13',
    display = 'M/Dur7b5#9b13',
    pattern = '1001001000010001000010'
  },
  {
    complexity = 3,
    name = 'siebte verminderte fünfte verminderte dreizehnte',
    code = '7b5b13',
    display = '7b5b13',
    pattern = '1000101000010000000010'
  },
  {
    complexity = 3,
    name = 'Dur siebte verminderte fünfte verminderte dreizehnte',
    code = 'dur7b5b13',
    display = 'Dur7b5b13',
    pattern = '1000101000001000000010'
  },
  {
    complexity = 3,
    name = 'Moll siebte verminderte fünfte verminderte dreizehnte',
    code = 'moll7b5b13',
    display = 'Moll7b5b13',
    pattern = '1001001000100000000010'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte verminderte fünfte verminderte dreizehnte',
    code = 'm/dur7b5b13',
    display = 'M/Dur7b5b13',
    pattern = '1001001000010000000010'
  },
  {
    complexity = 3,
    name = 'Moll siebte verminderte fünfte erweiterte neunte',
    code = 'moll7b5#9',
    display = 'Moll7b5#9',
    pattern = '1001001000100001'
  },
  {
    complexity = 3,
    name = 'Moll siebte erweiterte fünfte verminderte neunte',
    code = 'moll7#5b9',
    display = 'Moll7#5b9',
    pattern = '100100001010010'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte erweiterte fünfte verminderte neunte',
    code = 'm/dur7#5b9',
    display = 'M/Dur7#5b9',
    pattern = '100100001001010'
  },
  {
    complexity = 3,
    name = 'siebte erweiterte fünfte verminderte neunte',
    code = '7#5b9',
    display = '7#5b9',
    pattern = '100010001010010'
  },
  {
    complexity = 3,
    name = 'Dur siebte erweiterte fünfte verminderte neunte',
    code = 'dur7#5b9',
    display = 'Dur7#5b9',
    pattern = '100010001001010'
  },
  {
    complexity = 3,
    name = 'siebte erweiterte fünfte verminderte neunte erweiterte elfte',
    code = '7#5b9#11',
    display = '7#5b9#11',
    pattern = '1000100010100100001'
  },
  {
    complexity = 3,
    name = 'Dur siebte erweiterte fünfte verminderte neunte erweiterte elfte',
    code = 'dur7#5b9#11',
    display = 'Dur7#5b9#11',
    pattern = '1000100010010100001'
  },
  {
    complexity = 3,
    name = 'Moll siebte erweiterte fünfte verminderte neunte erweiterte elfte',
    code = 'moll7#5b9#11',
    display = 'Moll7#5b9#11',
    pattern = '1001000010100100001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte erweiterte fünfte verminderte neunte erweiterte elfte',
    code = 'm/dur7#5b9#11',
    display = 'M/Dur7#5b9#11',
    pattern = '1001000010010100001'
  },
  {
    complexity = 3,
    name = 'Moll siebte erweiterte fünfte erweiterte neunte',
    code = 'moll7#5#9',
    display = 'Moll7#5#9',
    pattern = '1001000010100001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte erweiterte fünfte erweiterte neunte',
    code = 'M/Dur7#5#9',
    display = 'M/Dur7#5#9',
    pattern = '1001000010010001'
  },
  {
    complexity = 3,
    name = 'Moll siebte erweiterte fünfte erweiterte neunte erweiterte elfte',
    code = 'moll7#5#9#11',
    display = 'Moll7#5#9#11',
    pattern = '1001000010100001001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte erweiterte fünfte erweiterte neunte erweiterte elfte',
    code = 'M/Dur7#5#9#11',
    display = 'M/Dur7#5#9#11',
    pattern = '1001000010010001001'
  },
  {
    complexity = 3,
    name = 'siebte erweiterte fünfte erweiterte elfte',
    code = '7#5#11',
    display = '7#5#11',
    pattern = '1000100010100000001'
  },
  {
    complexity = 3,
    name = 'Dur siebte erweiterte fünfte erweiterte elfte',
    code = 'dur7#5#11',
    display = 'Dur7#5#11',
    pattern = '1000100010010000001'
  },
  {
    complexity = 3,
    name = 'Moll siebte erweiterte fünfte erweiterte elfte',
    code = 'moll7#5#11',
    display = 'Moll7#5#11',
    pattern = '1001000010100000001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte erweiterte fünfte erweiterte elfte',
    code = 'M/Dur7#5#11',
    display = 'M/Dur7#5#11',
    pattern = '1001000010010000001'
  },
  {
    complexity = 2,
    name = 'siebte achte (Oktave)',
    code = '78',
    display = '78',
    pattern = '1000100100101'
  },
  {
    complexity = 2,
    name = 'Dur siebte achte (Oktave)',
    code = 'dur78',
    display = 'Dur78',
    pattern = '1000100100011'
  },
  {
    complexity = 2,
    name = 'Moll siebte achte (Oktave)',
    code = 'moll78',
    display = 'Moll78',
    pattern = '1001000100101'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte achte (Oktave)',
    code = 'm/dur78',
    display = 'M/Dur78',
    pattern = '1001000100011'
  },
  {
    complexity = 1,
    name = 'siebte neunte',
    code = '79',
    display = '79',
    pattern = '100010010010001'
  },
  {
    complexity = 2,
    name = 'Dur siebte neunte',
    code = 'dur79',
    display = 'Dur79',
    pattern = '100010010001001'
  },
  {
    complexity = 1,
    name = 'Moll siebte neunte',
    code = 'moll79',
    display = 'Moll79',
    pattern = '100100010010001'
  },
  {
    complexity = 2,
    name = 'Moll/Dur siebte neunte',
    code = 'm/dur79',
    display = 'M/Dur79',
    pattern = '100100010001001'
  },
  {
    complexity = 2,
    name = 'siebte verminderte neunte',
    code = '7b9',
    display = '7b9',
    pattern = '100010010010010'
  },
  {
    complexity = 2,
    name = 'Dur siebte verminderte neunte',
    code = 'dur7b9',
    display = 'Dur7b9',
    pattern = '100010010001010'
  },
  {
    complexity = 2,
    name = 'Moll siebte verminderte neunte',
    code = 'moll7b9',
    display = 'Moll7b9',
    pattern = '100100010010010'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte verminderte neunte',
    code = 'm/dur7b9',
    display = 'M/Dur7b9',
    pattern = '100100010001010'
  },
  {
    complexity = 3,
    name = 'siebte verminderte neunte erweiterte elfte',
    code = '7b9#11',
    display = '7b9#11',
    pattern = '1000100100100100001'
  },
  {
    complexity = 3,
    name = 'Dur siebte verminderte neunte erweiterte elfte',
    code = 'dur7b9#11',
    display = 'Dur7b9#11',
    pattern = '1000100100010100001'
  },
  {
    complexity = 3,
    name = 'Moll siebte verminderte neunte erweiterte elfte',
    code = 'moll7b9#11',
    display = 'Moll7b9#11',
    pattern = '1001000100100100001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte verminderte neunte erweiterte elfte',
    code = 'm/dur7b9#11',
    display = 'M/Dur7b9#11',
    pattern = '1001000100010100001'
  },
  {
    complexity = 3,
    name = 'siebte verminderte neunte erweiterte elfte verminderte dreizehnte',
    code = '7b9#11b13',
    display = '7b9#11b13',
    pattern = '1000100100100100001010'
  },
  {
    complexity = 3,
    name = 'Dur siebte verminderte neunte erweiterte elfte verminderte dreizehnte',
    code = 'dur7b9#11b13',
    display = 'Dur7b9#11b13',
    pattern = '1000100100010100001010'
  },
  {
    complexity = 3,
    name = 'Moll siebte verminderte neunte erweiterte elfte verminderte dreizehnte',
    code = 'moll7b9#11b13',
    display = 'Moll7b9#11b13',
    pattern = '1001000100100100001010'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte verminderte neunte erweiterte elfte verminderte dreizehnte',
    code = 'm/dur7b9#11b13',
    display = 'M/Dur7b9#11b13',
    pattern = '1001000100010100001010'
  },
  {
    complexity = 3,
    name = 'siebte verminderte neunte verminderte dreizehnte',
    code = '7b9b13',
    display = '7b9b13',
    pattern = '1000100100100100000010'
  },
  {
    complexity = 3,
    name = 'Dur siebte verminderte neunte verminderte dreizehnte',
    code = 'dur7b9b13',
    display = 'Dur7b9b13',
    pattern = '1000100100010100000010'
  },
  {
    complexity = 3,
    name = 'Moll siebte verminderte neunte verminderte dreizehnte',
    code = 'moll7b9b13',
    display = 'Moll7b9b13',
    pattern = '1001000100100100000010'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte verminderte neunte verminderte dreizehnte',
    code = 'm/dur7b9b13',
    display = 'M/Dur7b9b13',
    pattern = '1001000100010100000010'
  },
  {
    complexity = 3,
    name = 'siebte verminderte dreizehnte',
    code = '7b13',
    display = '7b13',
    pattern = '1000100100100000000010'
  },
  {
    complexity = 3,
    name = 'Dur siebte verminderte dreizehnte',
    code = 'dur7b13',
    display = 'Dur7b13',
    pattern = '1000100100010000000010'
  },
  {
    complexity = 3,
    name = 'Moll siebte verminderte dreizehnte',
    code = 'moll7b13',
    display = 'Moll7b13',
    pattern = '1001000100100000000010'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte verminderte dreizehnte',
    code = 'm/dur7b13',
    display = 'M/Dur7b13',
    pattern = '1001000100010000000010'
  },
  { 
    complexity = 2,
    name = 'Moll siebte erweiterte neunte',
    code = 'moll7#9',
    display = 'Moll7#9',
    pattern = '1001000100100001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte erweiterte neunte',
    code = 'm/dur7#9',
    display = 'M/Dur7#9',
    pattern = '1001000100010001'
  },
  {
    complexity = 3,
    name = 'Moll siebte erweiterte neunte erweiterte elfte',
    code = 'moll7#9#11',
    display = 'Moll7#9#11',
    pattern = '1001000100100001001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte erweiterte neunte erweiterte elfte',
    code = 'm/dur7#9#11',
    display = 'M/Dur7#9#11',
    pattern = '1001000100010001001'
  },
  {
    complexity = 3,
    name = 'Moll siebte erweiterte neunte erweiterte elfte verminderte dreizehnte',
    code = 'moll7#9#11b13',
    display = 'Moll7#9#11b13',
    pattern = '1001000100100001001010'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte erweiterte neunte erweiterte elfte verminderte dreizehnte',
    code = 'm/dur7#9#11b13',
    display = 'M/Dur7#9#11b13',
    pattern = '1001000100010001001010'
  },
  {
    complexity = 3,
    name = 'Moll siebte erweiterte neunte verminderte dreizehnte',
    code = 'moll7#9b13',
    display = 'Moll7#9b13',
    pattern = '1001000100100001000010'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte erweiterte neunte verminderte dreizehnte',
    code = 'm/dur7#9b13',
    display = 'M/Dur7#9b13',
    pattern = '1001000100010001000010'
  },
  {
    complexity = 2,
    name = 'siebte erweiterte elfte',
    code = '7#11',
    display = '7#11',
    pattern = '1000100100100000001'
  },
  {
    complexity = 2,
    name = 'Dur siebte erweiterte elfte',
    code = 'dur7#11',
    display = 'Dur7#11',
    pattern = '1000100100010000001'
  },
  {
    complexity = 2,
    name = 'Moll siebte erweiterte elfte',
    code = 'moll7#11',
    display = 'Moll7#11',
    pattern = '1001000100100000001'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte erweiterte elfte',
    code = 'm/dur7#11',
    display = 'M/Dur7#11',
    pattern = '1001000100010000001'
  },
  {
    complexity = 3,
    name = 'siebte erweiterte elfte verminderte dreizehnte',
    code = '7#11b13',
    display = '7#11b13',
    pattern = '1000100100100000001010'
  },
  {
    complexity = 3,
    name = 'Dur siebte erweiterte elfte verminderte dreizehnte',
    code = 'dur7#11b13',
    display = 'Dur7#11b13',
    pattern = '1000100100010000001010'
  },
  {
    complexity = 3,
    name = 'Moll siebte erweiterte elfte verminderte dreizehnte',
    code = 'moll7#11b13',
    display = 'Moll7#11b13',
    pattern = '1001000100100000001010'
  },
  {
    complexity = 3,
    name = 'Moll/Dur siebte erweiterte elfte verminderte dreizehnte',
    code = 'm/dur7#11b13',
    display = 'M/Dur7#11b13',
    pattern = '1001000100010000001010'
  },
  {
    complexity = 0,
    name = 'Dur achte (Oktave)',
    code = 'dur8',
    display = 'Dur8',
    pattern = '1000100100001'
  },
  {
    complexity = 0,
    name = 'Moll achte (Oktave)',
    code = 'moll8',
    display = 'Moll8',
    pattern = '1001000100001'
  },
  {
    complexity = 1,
    name = 'achte (Oktave) suspendierte zweite',
    code = '8sus2',
    display = '8sus2',
    pattern = '1010000100001'
  },
  {
    complexity = 1,
    name = 'achte (Oktave) suspendierte vierte',
    code = '8sus4',
    display = '8sus4',
    pattern = '1000010100001'
  },
  {
    complexity = 1,
    name = 'achte (Oktave) Power Akkord',
    code = 'power8',
    display = '58',
    pattern = '1000000100001'
  },
  {
    complexity = 2,
    name = 'Dur achte (Oktave) verminderte fünfte',
    code = 'dur8b5',
    display = 'Dur8b5',
    pattern = '1000101000001'
  },
  {
    complexity = 2,
    name = 'Moll achte (Oktave) verminderte fünfte',
    code = 'moll8b5',
    display = 'Moll8b5',
    pattern = '1001001000001'
  },
  {
    complexity = 2,
    name = 'Dur achte (Oktave) erweiterte fünfte',
    code = 'dur8#5',
    display = 'Dur8#5',
    pattern = '1000100010001'
  },
  {
    complexity = 2,
    name = 'Moll achte (Oktave) erweiterte fünfte',
    code = 'moll8#5',
    display = 'Moll8#5',
    pattern = '1001000010001'
  },
  {
    complexity = 1,
    name = 'Dur neunte',
    code = 'dur9',
    display = 'Dur9',
    pattern = '100010010000001'
  },
  {
    complexity = 1,
    name = 'Moll neunte',
    code = 'moll9',
    display = 'Moll9',
    pattern = '100100010000001'
  },
  {
    complexity = 3,
    name = 'Dur neunte verminderte fünfte',
    code = 'dur9b5',
    display = 'Dur9b5',
    pattern = '100010100000001'
  },
  {
    complexity = 3,
    name = 'Moll neunte erweiterte fünfte',
    code = 'moll9#5',
    display = 'Moll9#5',
    pattern = '100100001000001'
  },
  {
    complexity = 3,
    name = 'Dur neunte erweiterte elfte',
    code = 'dur9#11',
    display = 'Dur9#11',
    pattern = '1000100100000010001'
  },
  {
    complexity = 3,
    name = 'Moll neunte erweiterte elfte',
    code = 'moll9#11',
    display = 'Moll9#11',
    pattern = '1001000100000010001'
  },
  {
    complexity = 3,
    name = 'Dur neunte verminderte fünfte erweiterte elfte',
    code = 'dur9b5#11',
    display = 'Dur9b5#11',
    pattern = '1000101000000010001'
  },
  {
    complexity = 3,
    name = 'Moll neunte erweiterte fünfte erweiterte elfte',
    code = 'moll9#5#11',
    display = 'Moll9#5#11',
    pattern = '1001000010000010001'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte zweite',
    code = '9sus2',
    display = '9sus2',
    pattern = '101000010000001'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte vierte',
    code = '9sus4',
    display = '9sus4',
    pattern = '100001010000001'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte zweite erweiterte fünfte',
    code = '9sus2#5',
    display = '9sus2#5',
    pattern = '101000001000001'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte vierte erweiterte fünfte',
    code = '9sus4#5',
    display = '9sus4#5',
    pattern = '100001001000001'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte zweite erweiterte fünfte erweiterte elfte',
    code = '9sus2#5#11',
    display = '9sus2#5#11',
    pattern = '1010000010000010001'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte vierte erweiterte fünfte erweiterte elfte',
    code = '9sus4#5#11',
    display = '9sus4#5#11',
    pattern = '1000010010000010001'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte zweite erweiterte elfte',
    code = '9sus2#11',
    display = '9sus2#11',
    pattern = '1010000100000010001'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte vierte erweiterte elfte',
    code = '9sus4#11',
    display = '9sus4#11',
    pattern = '1000010100000010001'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte zweite erweiterte elfte verminderte dreizehnte',
    code = '9sus2#11b13',
    display = '9sus2#11b13',
    pattern = '1010000100000010001010'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte vierte erweiterte elfte verminderte dreizehnte',
    code = '9sus4#11b13',
    display = '9sus4#11b13',
    pattern = '1000010100000010001010'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte zweite verminderte dreizehnte',
    code = '9sus2b13',
    display = '9sus2b13',
    pattern = '1010000100000010000010'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte vierte verminderte dreizehnte',
    code = '9sus4b13',
    display = '9sus4b13',
    pattern = '1000010100000010000010'
  },
  {
    complexity = 3,
    name = 'Dur neunte verminderte fünfte verminderte dreizehnte',
    code = 'dur9b5b13',
    display = 'Dur9b5b13',
    pattern = '1000101000000010000010'
  },
  {
    complexity = 3,
    name = 'Moll neunte verminderte fünfte verminderte dreizehnte',
    code = 'moll9b5b13',
    display = 'Moll9b5b13',
    pattern = '1001001000000010000010'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte zweite verminderte fünfte verminderte dreizehnte',
    code = '9sus2b5b13',
    display = '9sus2b5b13',
    pattern = '1010001000000010000010'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte vierte verminderte fünfte verminderte dreizehnte',
    code = '9sus4b5b13',
    display = '9sus4b5b13',
    pattern = '1000011000000010000010'
  },
  {
    complexity = 3,
    name = 'Dur neunte erweiterte fünfte erweiterte elfte',
    code = 'dur9#5#11',
    display = 'Dur9#5#11',
    pattern = '1000100010000010001'
  },
  {
    complexity = 3,
    name = 'Moll neunte erweiterte fünfte erweiterte elfte',
    code = 'moll9#5#11',
    display = 'Moll9#5#11',
    pattern = '1001000010000010001'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte zweite erweiterte fünfte erweiterte elfte',
    code = '9sus2#5#11',
    display = '9sus2#5#11',
    pattern = '1010000010000010001'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte vierte erweiterte fünfte erweiterte elfte',
    code = '9sus4#5#11',
    display = '9sus4#5#11',
    pattern = '1000010010000010001'
  },
  {
    complexity = 3,
    name = 'Dur neunte erweiterte fünfte verminderte dreizehnte',
    code = 'dur9#5b13',
    display = 'Dur9#5b13',
    pattern = '1000100010000010000010'
  },
  {
    complexity = 3,
    name = 'Moll neunte erweiterte fünfte verminderte dreizehnte',
    code = 'moll9#5b13',
    display = 'Moll9#5b13',
    pattern = '1001000010000010000010'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte zweite erweiterte fünfte verminderte dreizehnte',
    code = '9sus2#5b13',
    display = '9sus2#5b13',
    pattern = '1010000010000010000010'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte vierte erweiterte fünfte verminderte dreizehnte',
    code = '9sus4#5b13',
    display = '9sus4#5b13',
    pattern = '1000010010000010000010'
  },
  {
    complexity = 2,
    name = 'Dur neunte erweiterte elfte',
    code = 'dur9#11',
    display = 'Dur9#11',
    pattern = '1000100100000010001'
  },
  {
    complexity = 2,
    name = 'Moll neunte erweiterte elfte',
    code = 'moll9#11',
    display = 'Moll9#11',
    pattern = '1001000100000010001'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte zweite erweiterte elfte',
    code = '9sus2#11',
    display = '9sus2#11',
    pattern = '1010000100000010001'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte vierte erweiterte elfte',
    code = '9sus4#11',
    display = '9sus4#11',
    pattern = '1000010100000010001'
  },
  {
    complexity = 3,
    name = 'Dur neunte erweiterte elfte verminderte dreizehnte',
    code = 'dur9#11b13',
    display = 'Dur9#11b13',
    pattern = '1000100100000010001010'
  },
  {
    complexity = 3,
    name = 'Moll neunte erweiterte elfte verminderte dreizehnte',
    code = 'moll9#11b13',
    display = 'Moll9#11b13',
    pattern = '1001000100000010001010'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte zweite erweiterte elfte verminderte dreizehnte',
    code = '9sus2#11b13',
    display = '9sus2#11b13',
    pattern = '1010000100000010001010'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte vierte erweiterte elfte verminderte dreizehnte',
    code = '9sus4#11b13',
    display = '9sus4#11b13',
    pattern = '1000010100000010001010'
  },
  {
    complexity = 3,
    name = 'Dur neunte verminderte dreizehnte',
    code = 'dur9b13',
    display = 'Dur9b13',
    pattern = '1000100100000010000010'
  },
  {
    complexity = 3,
    name = 'Moll neunte verminderte dreizehnte',
    code = 'moll9b13',
    display = 'Moll9b13',
    pattern = '1001000100000010000010'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte zweite verminderte dreizehnte',
    code = '9sus2b13',
    display = '9sus2b13',
    pattern = '1010000100000010000010'
  },
  {
    complexity = 3,
    name = 'neunte suspendierte vierte verminderte dreizehnte',
    code = '9sus4b13',
    display = '9sus4b13',
    pattern = '1000010100000010000010'
  },
  {
    complexity = 0,
    name = 'Dur zehnte',
    code = 'dur10',
    display = 'Dur10',
    pattern = '10001001000000001'
  },
  {
    complexity = 0,
    name = 'Moll zehnte',
    code = 'moll10',
    display = 'Moll10',
    pattern = '10010001000000010'
  },
  {
    complexity = 3,
    name = 'Dur zehnte verminderte fünfte',
    code = 'dur10b5',
    display = 'Dur10b5',
    pattern = '10001010000000001'
  },
  {
    complexity = 3,
    name = 'Moll zehnte erweiterte fünfte',
    code = 'moll10#5',
    display = 'Moll10#5',
    pattern = '10010000100000010'
  },
  {
    complexity = 2,
    name = 'Dur zehnte suspendierte vierte',
    code = 'dur10sus4',
    display = 'Dur10sus4',
    pattern = '10000101000000001'
  },
  {
    complexity = 2,
    name = 'Moll zehnte suspendierte vierte',
    code = 'moll10sus4',
    display = 'Moll10sus4',
    pattern = '10000101000000010'
  },
  {
    complexity = 3,
    name = 'Dur zehnte suspendierte vierte erweiterte fünfte',
    code = 'dur10sus4#5',
    display = 'Dur10sus4#5',
    pattern = '10000100100000001'
  },
  {
    complexity = 3,
    name = 'Moll zehnte suspendierte vierte erweiterte fünfte',
    code = 'moll10sus4#5',
    display = 'Moll10sus4#5',
    pattern = '10000100100000010'
  },
  {
    complexity = 0,
    name = 'elfte suspendierte zweite',
    code = '11sus2',
    display = '11sus2',
    pattern = '101000010000000001'
  },
  {
    complexity = 1,
    name = 'elfte suspendierte vierte',
    code = '11sus4',
    display = '11sus4',
    pattern = '100001010000000001'
  },
  {
    complexity = 3,
    name = 'elfte suspendierte zweite verminderte fünfte',
    code = '11sus2b5',
    display = '11sus2b5',
    pattern = '101000100000000001'
  },
  {
    complexity = 3,
    name = 'elfte suspendierte zweite erweiterte fünfte',
    code = '11sus2#5',
    display = '11sus2#5',
    pattern = '101000001000000001'
  },
  {
    complexity = 3,
    name = 'elfte suspendierte vierte erweiterte fünfte',
    code = '11sus4#5',
    display = '11sus4#5',
    pattern = '100001001000000001'
  },
  {
    complexity = 0,
    name = 'Dur zwölfte',
    code = 'dur12',
    display = 'Dur12',
    pattern = '10001001000000000001'
  },
  {
    complexity = 0,
    name = 'Moll zwölfte',
    code = 'moll12',
    display = 'Moll12',
    pattern = '10010001000000000001'
  },
  {
    complexity = 1,
    name = 'zwölfte suspendierte zweite',
    code = '12sus2',
    display = '12sus2',
    pattern = '10100001000000000001'
  },
  {
    complexity = 1,
    name = 'zwölfte suspendierte vierte',
    code = '12sus4',
    display = '12sus4',
    pattern = '10000101000000000001'
  }
}